Installation de Unifi-controller
============

Bienvenue sur mon nouveau tutoriel. Celui-ci, je l'espere va vous apprendre à installer Unifi-controller.

## Table des matières 
- 1. [Prérequis](#1-prérequis)
  - 1.a [Création des dossiers](#1-a-création-des-dossiers)
  - 1.b [Modification du fichier docker-compose](#1-b-modification-du-fichier-docker-compose)
  - 1.c [Transfert des fichiers dans /unifi](#1-c-transfert-des-fichiers-dans-unifi)
- 2. [Création des conteneurs](#2-création-des-conteneurs)
  - 2.a [Création du réseau](#2-a-création-du-réseau)
  - 2.b [Création des conteneurs](#2-b-création-des-conteneurs)
- 3. [Les Bases](#3-les-bases)
  - 3.a [Commandes de bases ( Docker )](#3-a-commandes-de-bases-docker)
  - 3.b [Accès aux interfaces ( WebUI )](#3-b-accès-aux-interfaces-webui)
- 4. Dépannage ( Ce construira au fur et a mesure des questions )

## 1. Prérequis

- Dans le paragraphe 1.a nous allons les créer avec une ligne de commande, et dans le paragraphe 1.b nous allons modifier le .env afin qu'il utilise bien ces dossiers ( en fonction de leurs localisation sur votre machine ).

### 1.a. Création des dossiers

- Avec `cd` aller dans le dossier de votre choix, par exemple "docker".
Exemple : Si votre dossier "docker" ce trouve dans /volume1, alors la commande sera :
`cd /volume1/docker`

- Maintenant que nous sommes dans le bon dossier, nous allons executer la commande suivante pour créer le dossier unifi qui contiendra la configuration de unifi :

`mkdir -p unifi/config`

### 1.b. Modification du fichier docker-compose
- Récupérer sur votre machine le fichier [docker-compose.yml](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/src/branch/master/docker-compose/unifi/docker-compose.yml).

- Dans le fichier `docker-compose.yml` vous allez devoir modifier plusieurs chose :

**PUID et PGID** devront correspondre aux ID de votre utilisateurs, plus d'info ici : [Connaitre le PUID / PGID d'un utilisateur](https://www.forum-nas.fr/viewtopic.php?f=56&t=13213)

Dans la ligne `/volume1/docker/unifi/config:/config`, la partie `/volume1/docker/unifi/config` doit correspondre au chemin vers le dossier unifi/config créé a l'étape 1.a.
Dans ce cas, c'est : `/volume1/docker/unifi/config`

### 1.c Transfert des fichiers dans /edition-videos
- Une fois les modifications effectuées, il faut transfert le fichier ( docker-compose.yml ) dans le dossier `/unifi` précédemment créé ! Par exemple, avec FileZilla.

## 2. Création du conteneur

Placez-vous dans votre dossier unifi, ( dans mon cas `/volume1/docker/unifi` ) :
```
cd /volume1/docker/unifi/config
```

Puis lancer la création du conteneur :
```
docker-compose up -d
```

## 3. Les Bases
Il est possible d'utilise n'importe qu'elle interface de gestion de conteneur*, ou SSH.

Voici quelques commandes de base :

**[Portainer](https://www.forum-nas.fr/viewtopic.php?f=56&t=14030) par exemple.*

### 3.a Commandes de bases ( Docker )
- Arreter un conteneur : `docker stop <nom_du_conteneur>`
Exemple pour le conteneur **unifi-controller** : `docker stop unifi-controller`

- Redémarrer un conteneur : `docker restart <nom_du_conteneur>`
Exemple pour le conteneur **unifi-controller** : `docker restart unifi-controller`

- Démarrer un conteneur : `docker start <nom_du_conteneur>`
Exemple pour le conteneur **unifi-controller** : `docker start unifi-controller`

- Supprimer un conteneur : `docker rm <nom_du_conteneur>`
Exemple pour le conteneur **unifi-controller** : `docker rm unifi-controller`

- Créer le conteneur : `docker-compose up -d`
Cette commande permet de créer ou re-créer le conteneur présent dans le fichier docker-compose.yml.
> Note : Vous devez etre dans la dossier contenant le fichier docker-compose.yml pour que cette commande fonctionne.

### 3.b Accès aux interfaces ( WebUI )

- L'acces à chaque service se fait via une WebUI ( Interface Web ), sur un port quil lui est propre.
- Pour unifi, c'est le port `8443`. Donc l'adresse sera sous la forme : `http://IP_DE_LA_MACHINE:8443`
Exemple : Si l'adresse IP de votre machine est `192.168.1.10`, alors l'adresse d'accès sera : `http://192.168.1.10:8443`

## 4. Aller plus loin

A VENIR ...

